package com.ruoyi.project.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 组件类型对象 tb_form_module
 *
 * @author ruoyi
 * @date 2020-06-17
 */
public class TbFormModule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** Tb_form表的外键 */
    @Excel(name = "Tb_form表的外键")
    private String formid;

    /** Input组件type的值 */
    @Excel(name = "Input组件type的值")
    private String inputType;

    /** Input组件id的值  */
    @Excel(name = "Input组件id的值 ")
    private String inputId;

    /** Input组件name的值 */
    @Excel(name = "Input组件name的值")
    private String inputName;

    /** 默认值为false，用于判断字段是否有非空校验 */
    @Excel(name = "默认值为false，用于判断字段是否有非空校验")
    private Integer notNull;

    /** Input的显示标题   */
    @Excel(name = "Input的显示标题  ")
    private String inputTitle;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFormid(String formid)
    {
        this.formid = formid;
    }

    public String getFormid()
    {
        return formid;
    }
    public void setInputType(String inputType)
    {
        this.inputType = inputType;
    }

    public String getInputType()
    {
        return inputType;
    }
    public void setInputId(String inputId)
    {
        this.inputId = inputId;
    }

    public String getInputId()
    {
        return inputId;
    }
    public void setInputName(String inputName)
    {
        this.inputName = inputName;
    }

    public String getInputName()
    {
        return inputName;
    }
    public void setNotNull(Integer notNull)
    {
        this.notNull = notNull;
    }

    public Integer getNotNull()
    {
        return notNull;
    }
    public void setInputTitle(String inputTitle)
    {
        this.inputTitle = inputTitle;
    }

    public String getInputTitle()
    {
        return inputTitle;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("formid", getFormid())
            .append("inputType", getInputType())
            .append("inputId", getInputId())
            .append("inputName", getInputName())
            .append("notNull", getNotNull())
            .append("inputTitle", getInputTitle())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
